import * as React from 'react';
import Svg, {Path, Circle} from 'react-native-svg';

const SvgComponent = props => (
  <Svg
    width={32}
    height={32}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}>
    <Path
      d="M1.863 15.76c-.424-.864-.635-1.296-.635-1.76 0-.464.211-.896.635-1.76L4.088 7.7l2.819-4.197c.537-.799.805-1.199 1.207-1.43.402-.232.882-.265 1.842-.33L15 1.4l5.044.343c.96.065 1.44.098 1.843.33.401.231.67.631 1.206 1.43l2.82 4.197 2.224 4.54c.424.864.636 1.296.636 1.76 0 .464-.212.896-.636 1.76l-2.225 4.54-2.819 4.197c-.536.799-.805 1.199-1.206 1.43-.402.232-.882.265-1.843.33L15 26.6l-5.044-.343c-.96-.065-1.44-.098-1.842-.33-.402-.231-.67-.631-1.207-1.43L4.088 20.3l-2.225-4.54Z"
      stroke="#F1B02D"
      strokeWidth={2}
    />
    <Circle cx={15} cy={14} r={4.2} stroke="#F1B02D" strokeWidth={2} />
  </Svg>
);

export default SvgComponent;
